/* entire projects */
.blocktype-projects {
    margin-right: var(--body-margin);
}

.projects {
    display: flex;
    flex-flow: column wrap;
    position: relative;
    width: 100%;
    margin-bottom: 100px;
    /* min-height: 80vh; */
}

.active {
    z-index: 4;
}

/* 
Desktop and mobile component
Rest of the code at the end of the file
*/

.project-desktop {
    display: flex;
    flex-flow: column nowrap;
    width: 49%;
    /* height: 76vh; */
    overflow-y: scroll;
    min-height: 75vh;
}    

.project-mobile {
    display: none;
    flex-flow: row nowrap ;
    width: 100%;
    height: calc(75vh + 150px);
    overflow-x: scroll;
}

.project-mobile::-webkit-scrollbar {
    display: none;
}

@media (max-width: 900px) {
    .projects {
        display: flex;
        flex-flow: row nowrap;
        width: 99vw;
    }

    .project-desktop {
        display: none;
    }
    
    .project-mobile {
        display: flex;
    }
}

/* project styling desktop */

.project__left {
    display: flex;
    flex-flow: column wrap;
    padding: 15px 15px 25px 15px;
    border: 2px solid var(--main-orange);
    margin-bottom: 10px;
    background-color: var(--main-white);
    transition: .1s ease-in-out;
    overflow-x: hidden;
}

.project__left:hover {
    background-color: var(--main-orange);
    color: var(--main-white);
}

.project__left:hover h3 {
    color: var(--main-white);
}

.project__left:hover .project__top > .button__gallery {
    border: 2px solid var(--main-white);
}

.active .project__left {
    background-color: var(--main-orange);
    color: var(--main-white);
}

.active .project__left h3 {
    color: var(--main-white);
}

.active .project__left .project__top > .button__gallery {
    border: 2px solid var(--main-white);
}

.project__top {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    width: 100%;
}

.project__right {
    display: flex;
    position: absolute;
    right: 0;
    top: 0;
    width: 50%;
    height: 75vh;
    pointer-events: none;
}

.project__right #project__intro {
    position: absolute;
    margin-left: clamp(1.5rem, -0.625rem + 6vw, 1.875rem);
    margin-top: calc(75vh - 12.5rem);
    max-width: 91vw;
    bottom: calc(clamp(2.1875rem, -0.625rem + 6vw, 3.125rem) + clamp(1.5rem, -0.625rem + 6vw, 2.1875rem));
    color: var(--main-white);
    z-index: 3;
}

.project__right #project__intro > p {
    display: inline;
	padding: 0.1em 0.1em 0.01em 0.2em;
    background-color: var(--main-orange);
    box-shadow: 0.10em 0 0 var(--main-orange), -0.0em 0 0 var(--main-orange);
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone;
    line-height: 1.5em;
}

.project__right #project__intro > p a{
    color: var(--main-black);
    cursor: pointer; 
    pointer-events: all;
}

.project__right #project__intro > p a:hover{
    color: var(--main-green);
}

.bottom {
    top: unset;
    bottom: 0;
}

.top {
    top: 0;
    bottom: unset;
}

.fixed {
    position: fixed;
    right: var(--body-margin);
    width: calc((100vw - 2 * var(--body-margin)) * 0.5);
    top: 12.5vh;
    bottom: unset;
}

.project__overlay {
    display: none;
    position: absolute;
    top: 0;
    z-index: 999;
    width: clamp(23.125rem, -0.875rem + 45vw, 40rem);
    z-index: 3;
}

.overlay-open .project__overlay {
    display: block;
    pointer-events: all;
}

.overlay-open #project__intro {
    display: none;
}

.button__info--big--close {
    display: none;
}

.overlay-open > .button__info--big--open {
    display: none;
}

.overlay-open > .button__info--big--close {
    display: flex;
}

.project__overlay .text__medium {
    position: absolute;
    margin-left: clamp(1.5rem, -0.625rem + 6vw, 1.875rem);
    margin-top: clamp(1rem, -0.625rem + 6vw, 1.875rem);
    color: var(--main-white);
    z-index: 3;
}

@media (max-width: 400px) {
    .project__overlay .text__medium {
        width: 300px;
    }
}

.project__right .button__info--big--open {
    position: absolute;
    margin-left: clamp(1.5rem, -0.625rem + 6vw, 1.875rem);
    bottom: clamp(1rem, -0.625rem + 6vw, 1.875rem);
    z-index: 3;
}

.project__right .button__info--big--close {
    position: absolute;
    margin-left: clamp(1.5rem, -0.625rem + 6vw, 1.875rem);
    bottom: clamp(1rem, -0.625rem + 6vw, 1.875rem);
    z-index: 3;
}

.project__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 2;
}

.overlay-open .project__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(0.2);
}

.project__top h3 {
    width: 75%;
    color: var(--main-black);
}

.project__left .text__small {
    margin-top: 10px;
    width: 75%;
}

/* mobile component */

.project-mobile .project {
    height: 100%;
}

.project-mobile .project__top {
    display: flex;
    justify-content: row nowrap;
}

.project-mobile .project__left {
    width: 70vw;
    min-height: 100px;
    margin-bottom: 10px;
    margin-right: 10px;
    padding: 10px 10px 10px 10px;
}

.project-mobile .project__right {
    display: flex;
    position: absolute;
    right: 15px;
    top: calc(100px + 40px);
    width: 100%;
    height: 71vh;
    pointer-events: none;
}

.project:last-child .project__left {
    margin-bottom: 0;
}

/* .project-mobile .project:last-child {
    margin-right: 10px;
} */